%heat_propP
%heat propagation example


load NL
%rho=.01

lx=256;
n=0:lx-1;
   si=sin(pi*n/lx);
   W=(2*si).^(2);
  
F=nloch;
fF=fft(F);
set(gca,'Fontsize',20)
t=0;
fh=exp(-t*W);
fG=(fF.*fh);
G=real(ifft(fG));
figure;
plot(G,'k','LineWidth',1);
title(['\fontsize{16}HEAT PROPAGATION' ])
hold on
t=20;
fh=exp(-t*W);fG=(fF.*fh);G=real(ifft(fG));
plot(G,'b','LineWidth',2);
hold on
t=40;
fh=exp(-t*W);fG=(fF.*fh);G=real(ifft(fG));
plot(G,'r','LineWidth',3);
set(gca,'Fontsize',20)